第一次使用vim,貌似出了大问题,请各位高手看看。

为当前最终发行版之前的所有版本提供支持
回复
头像
beikejinmiao
帖子: 48
注册时间: 2012-03-20 23:17
来自: 北京海淀
送出感谢: 8 次
接收感谢: 0

第一次使用vim,貌似出了大问题,请各位高手看看。

#1

帖子 beikejinmiao » 2012-05-03 21:38

我的ubuntu是11.10的。今天使用“
sudo apt-get install vim
sudo apt-get install vim-gtk ” 安装好后,
使用“
gvim test.c” 打开一个C程序文件,结果
可以虽然打开文件,但是终端提示
(gvim:13508): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",(第一次打开)
(gvim:13516): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",(第二次打开)
不知道是怎么回事。请路过的帮忙看看,谢谢了。
以前的使用gedit也出现类似的情况!!!
Ubuntu,I am coming!
jtshs256
论坛版主
帖子: 22322
注册时间: 2010-07-19 21:41
系统: OS X
送出感谢: 2 次
接收感谢: 27 次

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#2

帖子 jtshs256 » 2012-05-03 21:38

54 掉
NO DO NO DIE
http://a/%%30%30
头像
beikejinmiao
帖子: 48
注册时间: 2012-03-20 23:17
来自: 北京海淀
送出感谢: 8 次
接收感谢: 0

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#3

帖子 beikejinmiao » 2012-05-03 22:03

啥意思啊?
Ubuntu,I am coming!
头像
beikejinmiao
帖子: 48
注册时间: 2012-03-20 23:17
来自: 北京海淀
送出感谢: 8 次
接收感谢: 0

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#4

帖子 beikejinmiao » 2012-05-03 22:05

用root权限修改文件时,总会出现
(gedit:13760): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel', but failed: No such file or directory
不知咋回事!
Ubuntu,I am coming!
头像
beikejinmiao
帖子: 48
注册时间: 2012-03-20 23:17
来自: 北京海淀
送出感谢: 8 次
接收感谢: 0

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#5

帖子 beikejinmiao » 2012-05-03 22:06

提示修改失败,但我确实修改了!!
Ubuntu,I am coming!
头像
xzy3186
帖子: 419
注册时间: 2007-09-11 18:38
送出感谢: 0
接收感谢: 9 次

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#6

帖子 xzy3186 » 2012-05-03 22:14

不用去关心这个警告,不影响使用,而且你在终端开启任何一个GTK程序都会有这个警告
不过如果你实在有强迫症,去掉也行:sudo apt-get install gtk2-engines-pixbuf
头像
枫叶饭团
论坛版主
帖子: 14683
注册时间: 2010-06-16 1:05
系统: Mac OS X
来自: Tencent
送出感谢: 1 次
接收感谢: 132 次
联系:

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#7

帖子 枫叶饭团 » 2012-05-03 22:17

无视掉
头像
IDRI
帖子: 476
注册时间: 2010-07-02 21:47
送出感谢: 0
接收感谢: 0

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#8

帖子 IDRI » 2012-05-03 22:40

枫叶饭团 写了:无视掉
对系统:更加了解; 对软件:更强,更新,更有趣

ubuntu--arch--gentoo

vim(latex-suit),tex(xelatex,metapost),zim,chromium,virtualbox,awk......
voxtrior
帖子: 307
注册时间: 2011-03-12 12:20
来自: xx省xx市
送出感谢: 7 次
接收感谢: 1 次

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#9

帖子 voxtrior » 2012-05-03 22:41

用root用户登录 再打开gedit试试

或者你就 建一个她说的这个目录呗
头像
YeLee
论坛版主
帖子: 26388
注册时间: 2008-08-13 8:48
系统: Fundu i64
来自: 东海硇州,一双管钥。
送出感谢: 25 次
接收感谢: 307 次
联系:

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#10

帖子 YeLee » 2012-05-03 22:47

54
◎当我站在道德的高度上俯视别人的时候,发现自己是多么渺小。
♥执着但不偏激,反对而不排斥,坚决捍卫矛盾体的存在方式。
★★★天气预报★★★
fcitx-yatable一个可以使用的码表输入法
[教程]几个实例攻克软件编译难关
Gentoo Development Guide
字体相关
头像
beikejinmiao
帖子: 48
注册时间: 2012-03-20 23:17
来自: 北京海淀
送出感谢: 8 次
接收感谢: 0

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#11

帖子 beikejinmiao » 2012-05-03 23:07

谢谢了。知道了!
Ubuntu,I am coming!
woainvzu
帖子: 100
注册时间: 2010-12-27 22:44
送出感谢: 1 次
接收感谢: 0

Re: 第一次使用vim,貌似出了大问题,请各位高手看看。

#12

帖子 woainvzu » 2012-05-05 14:51

xzy3186 写了:不用去关心这个警告,不影响使用,而且你在终端开启任何一个GTK程序都会有这个警告
不过如果你实在有强迫症,去掉也行:sudo apt-get install gtk2-engines-pixbuf
使用gvim确实不出现gtk warning,但是在用:q关闭时,出现了GDK warning。。
ps,使用nautilus时,依然会出来一大堆GTK warning。。。
回复

回到 “老旧版本支持”